<div class="row">
    <div class="small-12 medium-5 columns">
        {% if producto.imagenes|length > 0 %}
        {% set img = producto.imagenes.first %}
        <div class="row visor_imagen">
            <div class="small-12 columns">
		        <a data-featherlight id="idProducto" href="{{ urlImg }}productos/{{ producto.id }}/{{ img.archivo }}">		    
			        <img src="{{ urlImg }}productos/{{ producto.id }}/{{ img.archivo }}" alt="{{ producto.nombre }}" />
		        </a>
            </div>
        </div>
        <div class="row lista_thumbs">
            <div class="small-12 columns">
                <ul class="small-block-grid-4">
                    {% for i in producto.imagenes %}
                    <li>
                        <img rel="thumbImagen" data-img="{{ urlImg }}productos/{{ producto.id }}/{{ i.archivo }}" src="{{ urlImg }}productos/{{ producto.id }}/thumb/{{ i.archivo }}" alt="{{ i.descripcion }}" />        
                    </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
        {% endif %}			
    </div>
    <div class="small-12 medium-7 columns">
        <input type="hidden" id="idExt" name="idExt" value="{{ producto.extensiones.first.id }}" />
        <input type="hidden" id="id" name="id" value="{{ producto.id }}" />
        <h3>{{ producto.nombre }}</h3>
        <p>$ {{ producto.valor_base|number_format }}</p>
        <p>{{ producto.descripcion }}</p>
        {% if producto.referencia|length > 0 %}				
        <p>Ref. {{ producto.referencia }}</p>        
        {% endif %}

        {% set atributos = producto.atributosRef %}
        {% if atributos|length > 0 %}
        <h4>Caracter&iacute;sticas</h4>
        <ul class="atributos">
        {% for a in atributos %}
            {% if a.valor|length > 0 %}
                <li>{{ a.atributo.descripcion }}: {{ a.valor }}</li>
            {% endif %}
        {% endfor %}
        </ul>
        {% endif %}

        {# % set listaColores = ref.id|getColores %}
        {% set color = 0 %}
                    
        {% if listaColores|length > 0 %}
            <div class="listaColores"  {% if listaColores|length == 1 %}style="display: none"{% endif %}>
                {% set color = listaColores[0].id %}
                {% for c in listaColores %}
                <input type="radio" class="color" id="color{{ ref.id }}{{ c.id }}" name="color{{ ref.id }}" data-ref="{{ ref.id }}" value="{{ c.id }}" {% if listaColores|length == 1 %}checked{% endif %}/>
                <label for="color{{ ref.id }}{{ c.id }}" style="background-color: {{ c.color }}">{{ c.nombre_color }}</label>
                {% endfor %}
                <div style="clear: left"> </div>
            </div>
        {% endif %}
                    
        {% set listaTallas = ref.id|getTallas(color) %}
        {% if listaTallas|length > 0 %}
            <div {% if listaTallas|length == 1 %}style="display: none"{% endif %}>    	            	
                <select class="selectTalla" id="talla{{ ref.id }}" data-ref="{{ ref.id }}">
                    <option value="0">Elige la Talla</option>
                    {% for t in listaTallas %}
                    <option value="{{ t.id_talla }}" {% if listaTallas|length == 1 %}selected{% endif %}>{{ t.abrev }}</option>
                    {% endfor %}
                </select>
            </div>
            <br />
        {% endif % #}
        <div class="row">
            <div class="small-3 columns">Elige la cantidad</div>
            <div class="small-3 columns end"><input type="text" id="cantidad" value="1" /></div>
        </div>
        <div class="row">
            <div class="small-12 columns">
                <a class="button" rel="lnkAgregarProd" href="index.php?option=com_my_component&controller=carrito&task=agregarProducto">Comprar</a>
                <a class="button" href="index.php?option=com_my_component&controller=carrito">Regresar</a>
            </div>
        </div>        
    </div>
</div>
